#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>

int main(int argc, const char *argv[]){
 unsigned short hotspot;
 unsigned char numbanks;
 unsigned char control;
 unsigned int hsint;
 FILE *armfile;
 if (argc<4) {fprintf(stderr,"Usage: %s hotspot_location number-of-banks\n\nExample: %s 1ff8 2\n",argv[0],argv[0]);exit(1);}
 armfile=fopen("dump.arm","r+b");
 sscanf(argv[1],"%x",&hsint);
 hotspot=(unsigned short)hsint;
 numbanks=(unsigned char)atoi(argv[2]);
 control=(unsigned char)atoi(argv[3]);
 fseek(armfile,0x20,SEEK_SET);
 fputc((int)(hotspot&0xff),armfile);
 fputc((int)(hotspot>>8),armfile);
 fputc((int)(numbanks),armfile);
 fputc((int)(control),armfile);
 fclose(armfile);
}
